The /files directory should contain attachments in subdirectories

2012-01-03 08:12 - Pierre Pretorius

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Thanks for the excelent work with Redmine.  When we perform standard linux commands on the files in our /files directory such as

mv, chmod, chown, etc. it returns a "argument list too long" error.  We have to split up our selection to perform it on different

subsections such as mv 110* then mv 111* instead of mv *.  Can the files perhaps be split into subdirectories according to the

year/month?

Best Regards,

Pierre

Related issues:

Is duplicate of Redmine - Feature #5298: Store attachments in sub directories Closed 2010-04-13

History

#1 - 2012-02-02 05:24 - Chuck Battle

+1 we are also having this issue. We need to save attachments in subdirectories to allow the file systems to handle the large numbers of files that

have been attached in our redmine.

#2 - 2012-12-13 13:09 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Dup of #5298 which is now implemented for 2.3.0
